			<div class="wrap">
				<h2><?php _e('UserCredits - Bundles', 'uc'); ?></h2>
				<?php
				if (isset($_POST['updatebundle'])){
					$value = abs(round($_POST['value'], 2));
					$credit = abs(intval($_POST['credit']));
					$ref = abs(intval($_POST['ref']));
					$expiry = abs(intval($_POST['expiry']));
					$this->obr_update_bundle($ref, $value, $credit, $expiry);
				}	
				if (isset($_POST['deletebundle'])){
					$ref = abs(intval($_POST['ref']));
					$this->obr_delete_bundle($ref);
				}	
				if (isset($_POST['addbundle'])){
					$value = abs(round($_POST['value'], 2));
					$credit = abs(intval($_POST['credit']));
					$expiry = abs(intval($_POST['expiry']));
					if ($value && $credit){
						$message = $this->obr_add_bundle($value, $credit, $expiry);
					}
				}
				?>
				<br />
				<h3><?php _e('Credit Bundles', 'uc'); ?></h3>
				<p><?php _e('A Credit Bundle is a defined number of credits which can be purchased for a specific monetary value.', 'uc'); ?></p>
				<p><?php _e('Use this page to set up your credit bundles.', 'uc'); ?></p>
				<h4><?php _e('Notes:', 'uc'); ?></h4>
				<ol>
					<li><?php _e('The currency value amounts below <strong>must</strong> match the payment amounts that you have used elsewhere on your website (e.g. on payment buttons), otherwise users will not receive their credits.', 'uc'); ?></li>
					<li><?php _e('UserCredits works for any currency and you do not need to specify your currency.', 'uc'); ?></li>
					<li><?php _e('By default credit bundles do not expire.  However, you can set an expiry period for each credit bundle below.', 'uc'); ?></li>
					<li><?php _e('Changes that you make below will apply to future purchases of credits only.', 'uc'); ?></li>
					<li><?php _e('If a user has purchased more than one bundle, the expiry date of <strong>all</strong> their credits will be that of the most recent bundle purchased.', 'uc'); ?></li>
				</ol>
				<?php
				global $wpdb;
				global $obr_admin_table_name;
				$mysql = "SELECT * FROM $obr_admin_table_name WHERE fld_key=".$this->obr_bundle_key." ORDER BY fld_value ASC;";
				$num_rows = $wpdb->get_row($mysql);
				?>
				<table class="wp-list-table widefat">
					<thead>
						<tr>
							<th><?php _e('Bundle', 'uc'); ?></th>
							<th><?php _e('Currency Value', 'uc'); ?></th>
							<th><?php _e('No of Credits', 'uc'); ?></th>
							<th><?php _e('Expiry Period', 'uc'); ?></th>
							<th>&nbsp;</th>
							<th>&nbsp;</th>
						</tr>
					</thead>
					<tbody>
						<?php if ($wpdb->num_rows > 0) : ?>
							<?php $counter = 1; ?>
							<?php foreach($wpdb->get_results($mysql) as $key => $row) : ?>
								<?php if (intval($counter)/2 == intval($counter/2)) : ?>
								<tr>
								<?php else : ?>
								<tr class="alternate">
								<?php endif; ?>
									<td><?php echo $row->fld_ref; ?></td>
									<td>
										<form method="post" action="">
											<input type="text" name="value" value=<?php echo $row->fld_value; ?> style="text-align: right;" />
									</td>
									<td>
										<input type="text" name="credit" value=<?php echo $row->fld_value2; ?> style="text-align: right;" />
									</td>
									<td><?php $this->obr_add_expiry_select($row->fld_expiry_period); ?></td>
									<td>
											<input type="hidden" name="ref" value=<?php echo $row->fld_ref; ?> />
											<input type="submit" name="updatebundle" value="<?php _e('Update Bundle', 'uc'); ?>" />
										</form>
									</td>
									<td>
										<form method="post" action="">
											<input type="hidden" name="ref" value=<?php echo $row->fld_ref; ?> />
											<input type="submit" onclick="return confirm('<?php _e('Are you sure you want to delete this? Press OK to confirm', 'uc'); ?>')" class="delRow" name="deletebundle" value="<?php _e('Delete Bundle', 'uc'); ?>" />
										</form>
									</td>
								</tr>
								<?php $counter++; ?>
							<?php endforeach; ?>
							<?php if (isset($message)) : ?>
								<tr>
									<td colspan="6"><?php echo $message; ?></td>
								</tr>
							<?php endif; ?>
						<?php endif; ?>
						<form method="post" action="">
							<?php if (intval($counter)/2 == intval($counter/2)) : ?>
							<tr>
							<?php else : ?>
							<tr class="alternate">
							<?php endif; ?>
								<td><?php _e('Add New', 'uc'); ?></td>
								<td><input type="text" name="value" value="<?php if (isset($message)){ echo $value; } ?>" style="text-align: right;" /></td>
								<td><input type="text" name="credit" value="<?php if (isset($message)){ echo $credit; } ?>" style="text-align: right;" /></td>
								<td><?php $this->obr_add_expiry_select(); ?></td>
								<td><input type="submit" name="addbundle" value="<?php _e('Add New Bundle', 'uc'); ?>" /></td>
								<td>&nbsp;</td>
							</tr>
						</form>
					</tbody>
				</table>
				<br />
				<br />
			</div>