<div class="wrap">
	<?php 
	if (isset($_GET['tab'])){
		$activetab = esc_attr($_GET['tab']);
	} else {
		$activetab = 'intro';
	}
	?>
	<h2><?php _e('UserCredits - Help and Usage', 'uc'); ?></h2>
	<h2 class="nav-tab-wrapper">
		<a href="?page=obr-usercredits-help-usage&amp;tab=intro" class="nav-tab <?php echo $activetab == 'intro' ? 'nav-tab-active' : ''; ?>"><?php _e('Intro', 'uc'); ?></a>
		<a href="?page=obr-usercredits-help-usage&amp;tab=quickstart" class="nav-tab <?php echo $activetab == 'quickstart' ? 'nav-tab-active' : ''; ?>"><?php _e('Quickstart', 'uc'); ?></a>
		<a href="?page=obr-usercredits-help-usage&amp;tab=upgrading" class="nav-tab <?php echo $activetab == 'upgrading' ? 'nav-tab-active' : ''; ?>"><?php _e('Upgrading UserCredits', 'uc'); ?></a>
		<a href="?page=obr-usercredits-help-usage&amp;tab=shortcodes" class="nav-tab <?php echo $activetab == 'shortcodes' ? 'nav-tab-active' : ''; ?>"><?php _e('Shortcodes', 'uc'); ?></a>
		<a href="?page=obr-usercredits-help-usage&amp;tab=advanced" class="nav-tab <?php echo $activetab == 'advanced' ? 'nav-tab-active' : ''; ?>"><?php _e('Advanced', 'uc'); ?></a>
	</h2>
	<?php if ($activetab == 'intro') : ?>
		<h3><?php _e('Introduction to UserCredits', 'uc'); ?></h3>
		<p style="color: #f00;"><?php _e('IMPORTANT: The UserCredits underwent a major rewrite for version 4.0.  If you\'re upgrading from V3.x to V4.x, you MUST make the changes set out on the <strong>Upgrading UserCredits</strong> tab otherwise UserCredits will not work properly.', 'uc'); ?></p>
		<br />
		<h4><?php _e('Intro', 'uc'); ?></h4>
		<p><?php _e('UserCredits from Outerbridge is a plugin for WordPress which allows monetary amounts to be translated into credits for use on a website. Credits can then be used to perform certain operations on the site, such as accessing a restricted page on the website.', 'uc'); ?></p>
		<p><?php _e('It is implemented on the website through the use of shortcodes. Shortcodes are special WordPress instructions encased within square brackets, e.g. &#0091;obr_display_balance&#0093;, that can be used on pages and/or posts to make some complicated things happen.', 'uc'); ?></p>
		<p><?php _e('The UserCredits plugin allows you to have an unlimited number of users and an unlimited number of credit bundles.  You can set expiry dates for users\' credits and there is even the option to automatically reset balances at specific intervals.  Users can be given the option of transferring credits between themselves, and all users have access to their own transaction log history.', 'uc'); ?></p>
		<p><?php _e('Please note that we refer to GBP in our examples but the UserCredits plugin is not dependent on any currency; you can use any currency you choose. Bundles can be set up for whole pounds (dollars, etc.) or one-hundredths, i.e. pence (cents, etc.).', 'uc'); ?></p>
		<br />
		<h4><?php _e('New to UserCredits?', 'uc'); ?></h4>
		<p><?php _e('Follow the instructions on the Quickstart tab to get UserCredits up and running quickly.', 'uc'); ?></p>
		<br />
		<h4><?php _e('Upgrading UserCredits', 'uc'); ?></h4>
		<p style="color: #f00;"><?php _e('IMPORTANT: The UserCredits underwent a major rewrite for version 4.0.  If you\'re upgrading from V3.x to V4.x, you MUST make the changes set out on the <strong>Upgrading UserCredits</strong> tab otherwise UserCredits will not work properly.', 'uc'); ?></p>
		<br />
		<h4><?php _e('Need More Help?', 'uc'); ?></h4>
		<p><?php _e('If, having thoroughly read the documentation, you are still unsure and need further assistance, please contact us via our <a href="http://outerbridge.freshdesk.com">support desk</a> and we will do our utmost to assist you.  This is the only method of post-sales support.  Please note that you will need your CodeCanyon purchase code.', 'uc'); ?></p>
		<br />
	<?php elseif ($activetab == 'quickstart') : ?>
		<h3><?php _e('New to UserCredits?  Quickstart Guide', 'uc'); ?></h3>
		<p><?php _e('These are the key stages to setting up UserCredits:', 'uc'); ?></p>
		<ol>
			<li><a href="#installation"><?php _e('Installation', 'uc'); ?></a></li>
			<li><a href="#generalsetup"><?php _e('General set-up', 'uc'); ?></a></li>
			<li><a href="#displayingbalances"><?php _e('Displaying balances', 'uc'); ?></a></li>
			<li><a href="#usingcredits"><?php _e('Using credits around your site', 'uc'); ?></a></li>
			<li><a href="#setupbundles"><?php _e('Setting up credit bundles', 'uc'); ?></a></li>
			<li><a href="#addingcredits"><?php _e('Adding credits to users balances', 'uc'); ?></a></li>
			<li><a href="#transferringcredits"><?php _e('Transferring credits', 'uc'); ?></a></li>
			<li><a href="#customisation"><?php _e('Customisation', 'uc'); ?></a></li>
		</ol>
		<br />
		<h4 id="installation"><?php _e('Installation', 'uc'); ?></h4>
		<p><?php _e('To install UserCredits, first download the plugin (as a zip file) from your Downloads area in CodeCanyon and save a copy on your hard drive.  Then select Add New from the Plugins menu on the WordPress dashboard.  Then select Upload followed by Browse.  When you have located and selected the zip file that you downloaded from CodeCanyon, click on the Install Now button.  When completed, select the Activate option and UserCredits will be ready for configuration on your site.', 'uc'); ?></p>
		<br />
		<h4 id="generalsetup"><?php _e('General Set-Up', 'uc'); ?></h4>
		<p><?php _e('If you have installed the plugin correctly, there will be a UserCredits menu in the WordPress dashboard.', 'uc'); ?></p>
		<p><?php _e('Click on the Set-Up page and review the 3 sections carefully.', 'uc'); ?></p>
		<ol>
			<li><?php _e('Section 1 (Setting up UserCredits to Allow Credits to be Purchased via a Payment System). If you want to use a payment system (e.g. PayPal, Stripe, GoCardless) to enable your users to buy credits, then you need to set up this section correctly.  If you have purchased the UserCredits PayPal IPN Add-On, or you do not want to use a payment system, you do not need to complete this section.', 'uc'); ?></li>
			<li><?php _e('Section 2 (General Settings).  Use this section to specify default settings for your site.', 'uc'); ?></li>
			<li><?php _e('Section 3 (Email Settings).  Use this section to activate UserCredits\' email notifications.', 'uc'); ?></li>
		</ol>
		<p><?php _e('Visit the Custom Messages page to personalise the messages that UserCredits displays to your users.', 'uc'); ?></p>
		<p><?php _e('Review each of the pages in the UserCredits area of the dashboard to see the new features and set-up your site.', 'uc'); ?></p>
		<br />
		<h4 id="displayingbalances"><?php _e('Displaying Balances', 'uc'); ?></h4>
		<p><?php _e('To display the user\'s balance use the &#0091;obr_display_balance&#0093; shortcode on a page or post.  Balances can also be displayed in the WP Admin bar at the top of the screen (use setting 2.4 on the Set-Up page) and/or in sidebars using the Display User\'s Balance widget which can be found under Appearance > Widgets.', 'uc'); ?></p>
		<br />
		<h4 id="usingcredits"><?php _e('Using Credits Around Your Site', 'uc'); ?></h4>
		<p><?php _e('To enable users to spend their credits on your site, use the &#0091;obr_check_credits&#0093; shortcode.', 'uc'); ?></p>
		<p><?php _e('To create a link to a page where you want credits to be used, use the &#0091;obr_page_button&#0093; shortcode.', 'uc'); ?></p>
		<p><?php _e('Use multiple &#0091;obr_page_button&#0093; shortcodes on the same page to create a "library" page.', 'uc'); ?></p>
		<p><?php _e('The user will see a different button depending on whether they have previously paid for access to each individual page (providing that their access has not expired).', 'uc'); ?></p>
		<h5><?php _e('Example Set-Up', 'uc'); ?></h5>
		<p><?php _e('To illustrate how the site might be configured, let\'s consider the following situation, shown in the diagram below:', 'uc'); ?></p>
		<ol>
			<li><?php _e('We want a "library" page which has links to 3 sub-pages.', 'uc'); ?></li>
			<li><?php _e('It costs 10 credits to access page 1 for an hour (60 minutes).', 'uc'); ?></li>
			<li><?php _e('Buying page 2 gives access for 5 minutes and costs the default amount for the site, as specified in setting 2.2. on the Set-Up page.', 'uc'); ?></li>
			<li><?php _e('Page 3 costs 50 credits and access is for the number of minutes specified in setting 2.3 on the Set-Up page.', 'uc'); ?></li>
		</ol>
		<p><?php _e('You can find more detailed information about how to use the shortcodes to create these features on the Shortcode tab.', 'uc'); ?></p>
		<p><img src="<?php echo plugins_url('images/flowchart.jpg', __FILE__); ?>" alt="using credits diagram" style="width: 100%;" /></p>
		<br />
		<h4 id="setupbundles"><?php _e('Setting Up Credit Bundles', 'uc'); ?></h4>
		<p><?php _e('If you are using a payment system, visit the Bundles page and set up your credit bundles.', 'uc'); ?></p>
		<p><?php _e('Remember that bundles do not need to have a linear correlation, so you can offer more (or less!) credits for each extra amount that your users pay for access to your site.', 'uc'); ?></p>
		<br />
		<h4 id="addingcredits"><?php _e('Adding Credits to Users Balances', 'uc'); ?></h4>
		<p><?php _e('Credits are added using the &#0091;obr_add_credits&#0093; shortcode.  The monetary amount is checked against the available bundles and (when matched) automatically adds the relevant number of credits to the user\'s balance.', 'uc'); ?></p>
		<br />
		<h4 id="transferringcredits"><?php _e('Transferring Credits', 'uc'); ?></h4>
		<p><?php _e('To enable the transferring of credits between users, check setting 2.5 on the Set-Up page.', 'uc'); ?></p>
		<br />
		<h4 id="customisation"><?php _e('Customisation', 'uc'); ?></h4>
		<p><?php _e('Further customisation is available through the use of WordPress Action and Filter Hooks, please see the Advanced tab for more information.', 'uc'); ?></p>
		<br />
	<?php elseif ($activetab == 'upgrading') : ?>
		<h3><?php _e('Upgrading from an Earlier Version of UserCredits', 'uc'); ?></h3>
		<p><?php _e('UserCredits has undergone some big changes!  We\'ve listened to what our customers have asked for and we\'ve completely re-written the plugin to give you lots of new and exciting features.  Many of the old features have changed and/or been retired.', 'uc'); ?></p>
		<p><?php _e('Here\'s a checklist of things that you\'ll need to do to be able to use the new version of UserCredits:', 'uc'); ?></p>
		<ol>
			<li><?php _e('Backup all files and the WP database before you make any changes.', 'uc'); ?></li>
			<li>
				<?php _e('Review and replace all shortcodes using the following as a guide:', 'uc'); ?>
				<table class="wp-list-table widefat">
					<thead>
						<tr>
							<th><?php _e('Old Shortcode', 'uc'); ?></th>
							<th><?php _e('New Shortcode', 'uc'); ?></th>
						</tr>
					</thead>
					<tbody>
						<tr class="alternate">
							<td><?php _e('[obr_increase_credits]', 'uc'); ?></td>
							<td><?php _e('[obr_add_credits]', 'uc'); ?></td>
						</tr>
						<tr>
							<td><?php _e('[obr_credits_balance]', 'uc'); ?></td>
							<td><?php _e('[obr_display_balance]', 'uc'); ?></td>
						</tr>
						<tr class="alternate">
							<td><?php _e('[obr_short_balance]', 'uc'); ?></td>
							<td><?php _e('[obr_display_balance]', 'uc'); ?></td>
						</tr>
						<tr>
							<td><?php _e('[obr_decrease_credits]', 'uc'); ?></td>
							<td><?php _e('[obr_check_credits]', 'uc'); ?></td>
						</tr>
					</tbody>
				</table>
				<?php _e('Please see the Shortcodes tab for more detailed information on the new shortcodes and their usage.', 'uc'); ?>
			</li>
			<li><?php _e('Follow the instructions on the Quickstart tab to get UserCredits upgraded and running smoothly.', 'uc'); ?></li>
		</ol>
		<br />
	<?php elseif ($activetab == 'shortcodes') : ?>
		<h3><?php _e('Shortcodes', 'uc'); ?></h3>
		<p><?php _e('UserCredits is implemented via the shortcodes below.', 'uc'); ?></p>
		<p><?php _e('You can type the shortcodes into a post or page, or, if you are using the Visual Editor, most shortcodes are available as a button.  Hover over the buttons to see which shortcodes are available, and click on the shortcode to see information on key parameters and usage.', 'uc'); ?></p>
		<p><?php _e('Parameters are used to modify the default behaviour of the shortcode, for example, [obr_display_balance showexpiry=true] will ensure that expiry dates are shown when displaying a balance.  Parameters can be listed in any order after the shortcode name, but must be included before the ] symbol at the end of the shortcode.', 'uc'); ?></p>
		<table class="wp-list-table widefat">
			<thead>
				<tr>
					<th><?php _e('Shortcode', 'uc'); ?></th>
					<th><?php _e('Purpose', 'uc'); ?></th>
					<th><?php _e('Parameters', 'uc'); ?></th>
				</tr>
			</thead>
			<tbody>
				<tr class="alternate">
					<td>&#0091;obr_display_balance&#0093;</td>
					<td>
						<p><?php _e('The &#0091;obr_display_balance&#0093; shortcode is used to display the user\'s credit balance on a page.', 'uc'); ?></p>
						<p><?php _e('This shortcode has a button in the visual editor.', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('There are four parameters available:', 'uc'); ?></p>
						<ol>
							<li><?php _e('short.  Optional.  Example usage:  short=true.  Displays just the number of credits, allowing you to add it into text on a page, e.g. &lt;p&gt;Credit balance: &#0091;obr_display_balance short=true&#0093;&lt;/p&gt;', 'uc'); ?></li>
							<li><?php _e('singular.  Optional.  Default value: You have 1 credit.  Example usage:  singular="You currently have a balance of 1 credit.".  This is the message displayed when the user has one credit.  Setting the parameter in the shortcode overwrites the global setting specificed in section 2 of the Custom Messages page.', 'uc'); ?></li>
							<li><?php _e('plural.  Optional.  Default value: You have %d credits.  Example usage:  plural="You currently have a balance of %d credits.".  This is the message displayed when the user has any number of credits other than one.  %d in the message will be replaced with the number of credits available.  Setting the parameter in the shortcode overwrites the global setting specificed in section 2 of the Custom Messages page.', 'uc'); ?></li>
							<li><?php _e('showexpiry.  Optional.  Example usage:  showexpiry=true.  Returns an expiry date (if there is one) in addition to the credits balance.  Please note that this parameter has no effect if the short parameter is set to true.', 'uc'); ?></li>
						</ol>
						<p><?php _e('With the singular and plural options above, to include an expiry date you will need to include reference to it in your message text string, e.g. "You have 1 credit which expires on %s." and "You have %d credits which expire on %s.".', 'uc'); ?></p>
					</td>
				</tr>
				<tr>
					<td>&#0091;obr_page_button&#0093;</td>
					<td>
						<p><?php _e('The &#0091;obr_page_button&#0093; shortcode is used to create a button linking through to a specific page with restricted access.  Multiple instances of this shortcode can be put on one page to create links to a library of pages.  Each button can be in one of two states depending on whether:', 'uc'); ?></p>
						<ol>
							<li><?php _e('The user has access to the page with restricted content; or', 'uc'); ?></li>
							<li><?php _e('The user does not have access to the page with restricted content.', 'uc'); ?></li>
						</ol>
						<p><?php _e('This shortcode has a button in the visual editor.', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('There are three parameters available:', 'uc'); ?></p>
						<ol>
							<li><?php _e('pageid.  Mandatory.  Example usage:  pageid=862.  Used to identify which page with restricted content is being referred to.  To identify the WordPress page or post id to use, go to the Post or Pages menu, and hover over the edit option to see the page id in the bar at the bottom of your browser.', 'uc'); ?></li>
							<li><?php _e('access.  Optional.  Default value: Open Page.  Example usage:  access="Go To Page".  This is the message displayed on the button when the user has already used credits to access the specific page or post.', 'uc'); ?></li>
							<li><?php _e('noaccess:  Optional.  Default value: Page Preview.  Example usage:  noaccess="Find Out More".  This is the message displayed on the button when the user has not used credits to access the specific page or post, or when previous access to the page has expired.', 'uc'); ?></li>
						</ol>
						<p><?php _e('Please note that to assist with styling the buttons (in your theme), the following CSS classes are automatically added to the page buttons depending on their state:', 'uc'); ?></p>
						<ol>
							<li><?php _e('When the user has access to the page with restricted content, the button has a CSS class of "green-button"; or', 'uc'); ?></li>
							<li><?php _e('When the user does not have access to the page with restricted content, the button has a CSS class of "red-button".', 'uc'); ?></li>
						</ol>
						<p><?php _e('Additionally, all buttons created by this shortcode have a CSS class of "page-button" as well.', 'uc'); ?></p>
					</td>
				</tr>
				<tr class="alternate">
					<td>&#0091;obr_check_credits&#0093;</td>
					<td>
						<p><?php _e('The &#0091;obr_check_credits&#0093; shortcode is used to restrict specific page content access only to users who have purchased access using their credits.', 'uc'); ?></p>
						<p><?php _e('The &#0091;obr_end_preview&#0093; divider can be used within the shortcode to separate the preview part of the page from the protected course content.', 'uc'); ?></p>
						<p><?php _e('This shortcode has a button in the visual editor.', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('There are two parameters available:', 'uc'); ?></p>
						<ol>
							<li><?php _e('accesscost.  Optional.  Example usage:  accesscost=25.  This parameter allows you to vary the cost of a page from the default set in setting 2.2 on the Set-Up page.', 'uc'); ?></li>
							<li><?php _e('expiryminutes.  Optional.  Example usage:  expiryminutes=10.  This parameter allows you to vary the expiry period of a page from the default set in setting 2.3 on the Set-Up page.  The number used represents the number of minutes access to the page; set this parameter to zero to give unlimited access to the page.', 'uc'); ?></li>
						</ol>
						<p><?php _e('Please note that this is an enclosing shortcode, so an example of the correct usage is as follows:', 'uc'); ?></p>
						<pre>
&#0091;obr_check_credits&#0093;
<?php _e('Page content to be visible only to users who <em>have</em> used credits to access the page.', 'uc'); ?>

&#0091;/obr_check_credits&#0093;
						</pre>
						<p><?php _e('To include a preview of the page content, structure the &#0091;obr_check_credits&#0093; shortcode as follows, using the &#0091;obr_end_preview&#0093; divider:', 'uc'); ?></p>
						<pre>
&#0091;obr_check_credits&#0093;
<?php _e('Preview or teaser which is visible only to users who <em>haven\'t</em> used credits to access the page.', 'uc'); ?>

&#0091;obr_end_preview&#0093;
<?php _e('Page content which is visible only to users who <em>have</em> used credits to access the page.', 'uc'); ?>

&#0091;/obr_check_credits&#0093;
						</pre>
					</td>
				</tr>
				<tr>
					<td>&#0091;obr_add_credits&#0093;</td>
					<td>
						<p><?php _e('The &#0091;obr_add_credits&#0093; shortcode is used to process a monetary amount and to translate it into a credit balance.', 'uc'); ?></p>
						<p><?php _e('The monetary amount is checked against the available bundles and when matched adds the relevant number of credits to the user\'s balance.', 'uc'); ?></p>
						<p><?php _e('This shortcode has a button in the visual editor.', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('There are no parameters for use with this shortcode.', 'uc'); ?></p>
						<p><?php _e('You <strong>must</strong> set-up the two variables which are defined in Section 1 of the Set-Up page for this shortcode to work correctly.', 'uc'); ?></p>
						<p><?php _e('Advanced users may wish to review the "obr_txn_check" and "obr_added_credits" hooks for additional processing options; see the Advanced tab for more information.', 'uc'); ?></p>
					</td>
				</tr>
				<tr class="alternate">
					<td>&#0091;obr_low_credits_email_alert&#0093;</td>
					<td>
						<p><?php _e('The &#0091;obr_low_credits_email_alert&#0093; shortcode is not normally used, as this function is automated via setting 3.1 on the Set-Up page.  However, if your WordPress cron scheduler is not working correctly, this shortcode can be called; it will review all balances and send an email to those users with a balance below the default specified on the Set-Up page.', 'uc'); ?></p>
						<p><?php _e('Please note that this shortcode does not have a button in the visual editor.', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('There are no parameters for use with this shortcode.', 'uc'); ?></p>
					</td>
				</tr>
				<tr>
					<td>&#0091;obr_credits_added_email_alert&#0093;</td>
					<td>
						<p><?php _e('The &#0091;obr_credits_added_email_alert&#0093; shortcode is not normally used, as this function is automated via setting 3.2 on the Set-Up page.  However, if your WordPress cron scheduler is not working correctly, this shortcode can be called; it will review all user accounts and send an email to inform those users that have had credits added since the last reminder that they have a credits balance available for use.', 'uc'); ?></p>
						<p><?php _e('Please note that this shortcode does not have a button in the visual editor.', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('There are no parameters for use with this shortcode.', 'uc'); ?></p>
					</td>
				</tr>
				<tr class="alternate">
					<td>&#0091;obr_balance_update_email_alert&#0093;</td>
					<td>
						<p><?php _e('The &#0091;obr_balance_update_email_alert&#0093; shortcode is not normally used, as this function is automated via setting 3.3 on the Set-Up page.  However, if your WordPress cron scheduler is not working correctly, this shortcode can be called; it will send an email to all users showing their credits balance.', 'uc'); ?></p>
						<p><?php _e('Please note that this shortcode does not have a button in the visual editor.', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('There are no parameters for use with this shortcode.', 'uc'); ?></p>
					</td>
				</tr>
			</tbody>
		</table>
	<?php else : ?>
		<h3><?php _e('Action and Filter Hooks', 'uc'); ?></h3>
		<p><?php _e('Advanced users may wish to further customise their installation of UserCredits.  To help you with this we\'ve added a helpful range of action and filter hooks.', 'uc'); ?></p>
		<p><?php _e('WordPress hooks allow plugins like UserCredits to "hook" into the rest of WordPress; i.e. to call functions in your plugin at specific times, letting you add your own custom functions to the plugin.  UserCredits\' specific hooks are detailed in the table below.', 'uc'); ?></p>
		<p><?php _e('To set up a hook, you will need to add a function calling the hook to your functions.php file in your active theme.  Here\'s an example which sends an email containing the data passed to the admin email address of the site:', 'uc'); ?></p>
		<pre>
function creditsadded($input){
	// my customised function
	wp_mail(get_option('admin_email'), 'obr_added_credits example', json_encode($input));
}
add_action('obr_added_credits', 'creditsadded');
		</pre>
		<h3><?php _e('Available Hooks:', 'uc'); ?></h3>
		<table class="wp-list-table widefat">
			<thead>
				<tr>
					<th><?php _e('Hook', 'uc'); ?></th>
					<th><?php _e('Type', 'uc'); ?></th>
					<th><?php _e('Data Passed', 'uc'); ?></th>
					<th><?php _e('Description', 'uc'); ?></th>
				</tr>
			</thead>
			<tbody>
				<tr class="alternate">
					<td>obr_txn_check</td>
					<td><?php _e('Filter', 'uc'); ?></td>
					<td>
						<p><?php _e('$input&#0091;\'valid_txn\'&#0093; contains whether the transaction is valid - the value is set to true unless modified by your custom processing', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'userid\'&#0093; contains the WordPress user id', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'amount\'&#0093; contains the amount of the transaction', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'txn_id\'&#0093; contains the transaction id reference', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'credits\'&#0093; contains the number of credits to be added', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'expiry\'&#0093; contains the expiry of the credits', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('A valid transaction is one where the transaction id has not been duplicated and the monetary amount matches that of a credit bundle.', 'uc'); ?></p>
						<p><?php _e('This filter hook can be used to add further custom processing to an otherwise valid transaction.', 'uc'); ?></p>
						<p><?php _e('When the custom processing has been completed, the value of $input&#0091;\'valid_txn\'&#0093; is used to decide whether the credits will be added or not.  If the transaction fails, the message in setting 1.6 of the Custom Messages page will be displayed.', 'uc'); ?></p>
						<p><?php _e('To fail the transaction check, return an amount of <code>$input&#0091;\'valid_txn\'&#0093; = false;</code>', 'uc'); ?></p>
					</td>
				</tr>
				<tr>
					<td>obr_added_credits</td>
					<td><?php _e('Action', 'uc'); ?></td>
					<td>
						<p><?php _e('$input&#0091;\'userid\'&#0093; contains the WordPress user id', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'amount\'&#0093; contains the amount received', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'credits\'&#0093; contains the number of credits being added', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'txn_id\'&#0093; contains the transaction id reference', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'newbalance\'&#0093; contains the user\'s credit balance after the transaction', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'expiry\'&#0093; contains the expiry date of the credits', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('The "obr_added_credits" action is executed immediately after credits are added to a user\'s balance.', 'uc'); ?></p>
					</td>
				</tr>
				<tr class="alternate">
					<td>obr_user_registered</td>
					<td><?php _e('Action', 'uc'); ?></td>
					<td>
						<p><?php _e('$input&#0091;\'userid\'&#0093; contains the WordPress user id', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'credits\'&#0093; contains the number of credits being added', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'txn_id\'&#0093; contains the transaction id reference', 'uc'); ?></p>
					</td>
					<td>
						<p><?php _e('This action is performed after a user has been registered and the default number of credits have been added.', 'uc'); ?></p>
					</td>
				</tr>
				<tr>
					<td>obr_credits_redeemed</td>
					<td><?php _e('Action', 'uc'); ?></td>
					<td>
						<p><?php _e('$input&#0091;\'userid\'&#0093; contains the WordPress user id', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'credits\'&#0093; contains the number of credits that the page access cost', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'txn_id\'&#0093; contains the transaction id reference', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'newbalance\'&#0093; contains the user\'s credit balance after the transaction', 'uc'); ?></p>
						<p><?php _e('$input&#0091;\'expiry\'&#0093; contains the expiry date of the page', 'uc'); ?></p>
					</td>
					<td><?php _e('This action is performed after page access has been purchased.', 'uc'); ?></td>
				</tr>
			</tbody>
		</table>
		<p><?php printf(__('Learn more about <a href="%s" target="_blank">WordPress\' API here</a>.', 'uc'), 'http://codex.wordpress.org/Plugin_API'); ?></p>
		<p><?php _e('Watch this space as we\'re planning on releasing more hooks in future releases.', 'uc'); ?></p>
	<?php endif; ?>
</div>
