			<div class="wrap">
				<h2><?php _e('UserCredits - Set-Up', 'uc'); ?></h2>
				<?php
				$defaultcredits = intval(get_option('obr_defaultcredits'));
				$low_credit_emails = intval(get_option('obr_low_credit_emails'));
				$credit_added_emails = get_option('obr_credit_added_emails');
				$credit_added_emails = (bool)$credit_added_emails;
				$balance_update_emails = get_option('obr_balance_update_emails');
				$balance_update_emails = (bool)$balance_update_emails;
				$pagecost = intval(get_option('obr_pagecost'));
				$pageexpiry = intval(get_option('obr_pageexpiry'));
				$default_add_variable_name = esc_attr(get_option('obr_default_add_variable_name'));
				$default_transaction_variable_name = esc_attr(get_option('obr_default_transaction_variable_name'));
				if (strlen($default_add_variable_name) == 0){
					// need to have a default value here
					update_option('obr_default_add_variable_name', 'addvalue');
					$default_add_variable_name = esc_attr(get_option('obr_default_add_variable_name'));
				}
				if (strlen($default_transaction_variable_name) == 0){
					// need to have a default value here
					update_option('obr_default_transaction_variable_name', 'txnid');
					$default_transaction_variable_name = esc_attr(get_option('obr_default_transaction_variable_name'));
				}
				$processing_method = intval(get_option('obr_processing_method', '1'));
				$enable_admin_bar_balance = get_option('obr_enable_admin_bar_balance', 'on');
				$enable_admin_bar_balance = (bool)$enable_admin_bar_balance;
				$allow_credit_transfers = get_option('obr_allow_credit_transfers', 'on');
				$allow_credit_transfers = (bool)$allow_credit_transfers;
				?>
				<form method="post" action="">
					<table class="wp-list-table widefat">
						<thead>
							<tr>
								<th><?php _e('Ref', 'uc'); ?></th>
								<th><?php _e('Option', 'uc'); ?></th>
								<th><?php _e('Value', 'uc'); ?></th>
							</tr>
						</thead>
						<tbody>
							<tr class="alternate">
								<td><strong>1</strong></td>
								<td colspan=2><strong><?php _e('Setting up UserCredits to Allow Credits to be Purchased via a Payment System', 'uc'); ?></strong></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td colspan=2><?php _e('If you want to use a payment system (e.g. PayPal, Stripe, GoCardless) to enable your users to buy credits, then you need to set up this section correctly.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>1.1</td>
								<td colspan=2><strong><?php _e('Successful Payment Variable (SPV)', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td colspan=2><?php _e('A Successful Payment Variable (SPV) is generated by a payment system when a monetary transaction has been correctly processed.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td colspan=2><?php _e('When you first install UserCredits, the SPV is set to "addvalue".  Change the SPV to the one that your payment provider uses.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td><?php _e('Successful Payment Variable (SPV).  (Default: addvalue)', 'uc'); ?></td>
								<td><input name="default_add_variable_name" type="text" value="<?php echo $default_add_variable_name; ?>" /></td>
							</tr>
							<tr>
								<td>1.2</td>
								<td colspan=2><strong><?php _e('Transaction Identifier Variable (TIV)', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td colspan=2><?php _e('A Transaction Identifier Variable (TIV) is a unique reference code generated by a payment system to identify a specific transaction.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td colspan=2><?php _e('When you first install UserCredits, the TIV is set to "txnid".  Change the TIV to the one that your payment provider uses.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td><?php _e('Transaction Identifier Variable (TIV).  (Default: txnid)', 'uc'); ?></td>
								<td><input name="default_transaction_variable_name" type="text" value="<?php echo $default_transaction_variable_name; ?>" /></td>
							</tr>
							<tr>
								<td>1.3</td>
								<td colspan=2><strong><?php _e('Variable Transfer Method (VTM)', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td colspan=2><?php _e('The Variable Transfer Method (VTM) is the way in which the SPV and TIV are captured by UserCredits.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td colspan=2><?php _e('When you first install UserCredits, the VTM is set to "$_POST".  Advanced PHP users may wish to use $_GET or $_REQUEST instead.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td><?php _e('Variable Transfer Method (VTM).  (Default: $_POST)', 'uc'); ?></td>
								<td>
									<label><input type="radio" name="processing_method" value="1" <?php checked($processing_method, 1); ?> /><?php _e('$_POST', 'uc'); ?></label>
								</td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td>&nbsp;</td>
								<td>
									<label><input type="radio" name="processing_method" value="2" <?php checked($processing_method, 2); ?> /><?php _e('$_GET', 'uc'); ?></label>
								</td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td>&nbsp;</td>
								<td>
									<label><input type="radio" name="processing_method" value="3" <?php checked($processing_method, 3); ?> /><?php _e('$_REQUEST', 'uc'); ?></label>
								</td>
							</tr>
							<tr>
								<td colspan=3><input type="submit" name="submit_set_up" value="<?php _e('Save All Settings', 'uc'); ?>" /></td>
							</tr>
							<tr class="alternate">
								<td colspan=3>&nbsp;</td>
							</tr>
							<tr>
								<td><strong>2</strong></td>
								<td colspan=2><strong><?php _e('General Settings', 'uc'); ?></strong></td>
							</tr>
							<tr class="alternate">
								<td>2.1</td>
								<td colspan=2><strong><?php _e('Initial Credits', 'uc'); ?></strong></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td><?php _e('The number of credits which are automatically added to a user\'s account when they register with your site.  (This is also the number of credits awarded if you enable options 1 or 3 on the Balance Resets page.)', 'uc'); ?></td>
								<td><input type="text" name="defaultcredits" value=<?php echo $defaultcredits; ?> style="text-align: right;" /></td>
							</tr>
							<tr>
								<td>2.2</td>
								<td colspan=2><strong><?php _e('Default Credits Required', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td><?php _e('The default number of credits to access protected page content on your site.', 'uc'); ?></td>
								<td><input type="text" name="pagecost" value=<?php echo $pagecost; ?> style="text-align: right;" /></td>
							</tr>
							<tr class="alternate">
								<td>2.3</td>
								<td colspan=2><strong><?php _e('Default Access Minutes', 'uc'); ?></strong></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td><?php _e('The default access time (in minutes) for which a user can view the protected page content after using their credits to gain access.  Refer to the table below for more information.', 'uc'); ?></td>
								<td><input type="text" name="pageexpiry" value=<?php echo $pageexpiry; ?> style="text-align: right;" /></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td colspan=2>
									<table style="text-align: center;">
										<tr>
											<th><?php _e('Desired Period', 'uc'); ?></th>
											<th><?php _e('Set Default Access Time To', 'uc'); ?></th>
										</tr>
										<tr>
											<td><?php _e('Unlimited Access', 'uc'); ?></td>
											<td><?php _e('0', 'uc'); ?></td>
										</tr>
										<tr>
											<td><?php _e('1 minute', 'uc'); ?></td>
											<td><?php _e('1', 'uc'); ?></td>
										</tr>
										<tr>
											<td><?php _e('1 hour', 'uc'); ?></td>
											<td><?php _e('60', 'uc'); ?></td>
										</tr>
										<tr>
											<td><?php _e('1 day', 'uc'); ?></td>
											<td><?php _e('1440', 'uc'); ?></td>
										</tr>
										<tr>
											<td><?php _e('1 week', 'uc'); ?></td>
											<td><?php _e('10080', 'uc'); ?></td>
										</tr>
										<tr>
											<td><?php _e('1 month (30 days)', 'uc'); ?></td>
											<td><?php _e('43200', 'uc'); ?></td>
										</tr>
										<tr>
											<td><?php _e('1 year', 'uc'); ?></td>
											<td><?php _e('525600', 'uc'); ?></td>
										</tr>
									</table>
								</td>
							</tr>
							<tr class="alternate">
								<td>2.4</td>
								<td colspan=2><strong><?php _e('Admin Bar Balances', 'uc'); ?></strong></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td><?php _e('Make your users\' balances visible in the admin bar.', 'uc'); ?></td>
								<td><input type="checkbox" name="enable_admin_bar_balance" <?php checked($enable_admin_bar_balance); ?> /></td>
							</tr>
							<tr>
								<td>2.5</td>
								<td colspan=2><strong><?php _e('Allow Credit Transfers', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td><?php _e('Allow your users to transfer credits to other users.', 'uc'); ?></td>
								<td><input type="checkbox" name="allow_credit_transfers" <?php checked($allow_credit_transfers); ?> /></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td colspan=2><?php _e('Please note that if you enable this function, users with available credits will be able to select another user (from a drop-down list of all users of the site on their MyUserCredits page) to send credits to.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td colspan=3><input type="submit" name="submit_set_up" value="<?php _e('Save All Settings', 'uc'); ?>" /></td>
							</tr>
							<tr>
								<td colspan=3>&nbsp;</td>
							</tr>
							<tr class="alternate">
								<td><strong>3</strong></td>
								<td colspan=2><strong><?php _e('Email Settings', 'uc'); ?></strong></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td colspan=2><?php _e('Emails are sent using the WordPress cron scheduler, this means that the emails will be triggered by site visitors and hence the interval between emails may be significantly longer than the period specified below.  The WordPress Codex has more information about WP cron scheduling.', 'uc'); ?></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td colspan=2><?php _e('The email templates are stored in the "email-templates" directory of the plugin.  You may change these yourself, if you wish.', 'uc'); ?></td>
							</tr>
							<tr>
								<td>3.1</td>
								<td colspan=2><strong><?php _e('Low Credit Notifications', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td><?php _e('The number of credits which triggers a daily low credit notification email.  If you do not want to use this function, set the value to 0 (zero) and no emails will be sent.', 'uc'); ?></td>
								<td><input type="text" name="low_credit_emails" value=<?php echo $low_credit_emails; ?> style="text-align: right;" /></td>
							</tr>
							<tr class="alternate">
								<td>3.2</td>
								<td colspan=2><strong><?php _e('New Credits Notifications', 'uc'); ?></strong></td>
							</tr>
							<tr class="alternate">
								<td>&nbsp;</td>
								<td><?php _e('Alert your users when new credits are added.  This routine runs hourly (when enabled).', 'uc'); ?></td>
								<td><input type="checkbox" name="credit_added_emails" <?php checked($credit_added_emails); ?> /></td>
							</tr>
							<tr>
								<td>3.3</td>
								<td colspan=2><strong><?php _e('Balance Update Notifications', 'uc'); ?></strong></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td><?php _e('Send a balance update to all users once a week.', 'uc'); ?></td>
								<td><input type="checkbox" name="balance_update_emails" <?php checked($balance_update_emails); ?> /></td>
							</tr>
							<tr class="alternate">
								<td colspan=3><input type="submit" name="submit_set_up" value="<?php _e('Save All Settings', 'uc'); ?>" /></td>
							</tr>
						</tbody>
					</table>
				</form>
			</div>
