			<div class="wrap">
				<h2><?php _e('UserCredits - Transaction Log', 'uc'); ?></h2>
				<?php
				if (current_user_can('moderate_comments')){
					// this is an administrator so we want them to be able to view anypart of the site
					$viewall = true;
				} else {
					// user only so they need a restricted view
					$viewall = false;
				}

				if ($viewall){
					$userid = 0;
					if (isset($_POST['user'])){
						$userid = intval($_POST['user']);
						if ($userid > 0){
							$user_info = get_userdata($userid);
							$display = sprintf(__('User %s selected.', 'uc'), $user_info->display_name);
						} else {
							$display = __('All users selected.');
						}
						echo '<div id="message" class="updated fade"><p><strong>';
						echo $display;
						echo '</strong></p></div>';
					}	
				} else {
					$userid = get_current_user_id();
				}
				?>
				<p><?php _e('This page shows you all the credits which have been processed by UserCredits, including purchases, usage and amendments.', 'uc'); ?></p>
				<?php if ($viewall) : ?>
					<p><?php _e('You can filter the results shown by live users below.', 'uc'); ?></p>
				<?php endif; ?>
				<?php
				global $wpdb;
				global $obr_transaction_log_table_name;
				?>
				<?php if ($viewall) : ?>
					<form method="post" action="">
						<?php wp_dropdown_users(array('selected' => $userid, 'show_option_none' => __('All Live Users', 'uc'))); ?>
						<input type="submit" name="submit" value="<?php _e('Go', 'uc') ?>" />
					</form>
				<?php endif; ?>
				<?php
				$pagenum = 1;
				if (isset($_GET['pagenum'])){
					$pagenum = absint($_GET['pagenum']);
				}
				$numberofrowsonpage = 20;
				$offset = ($pagenum - 1) * $numberofrowsonpage;

				if ($userid > 0){
					$total = $wpdb->get_var("SELECT COUNT('ID') FROM $obr_transaction_log_table_name WHERE ID=$userid;");
					$num_of_pages = ceil($total / $numberofrowsonpage);
					$entries = "SELECT * FROM $obr_transaction_log_table_name WHERE ID=$userid ORDER BY credit_time DESC LIMIT $offset, $numberofrowsonpage;";
				} else {
					$total = $wpdb->get_var("SELECT COUNT('ID') FROM $obr_transaction_log_table_name;");
					$num_of_pages = ceil($total / $numberofrowsonpage);
					$entries = "SELECT * FROM $obr_transaction_log_table_name ORDER BY credit_time DESC LIMIT $offset, $numberofrowsonpage;";
				}
				$q = $wpdb->get_results($entries);
				?>
				<?php if ($wpdb->num_rows > 0) : ?>
					<table class="wp-list-table widefat">
						<thead>
							<tr>
								<th><?php _e('ID', 'uc'); ?></th>
								<th><?php _e('Display Name', 'uc'); ?></th>
								<th><?php _e('No of Credits Added/-Deducted', 'uc'); ?></th>
								<th><?php _e('Details/Transaction ID', 'uc'); ?></th>
								<th><?php _e('Unique Log Ref', 'uc'); ?></th>
								<th><?php _e('Date/Time', 'uc'); ?></th>
							</tr>
						</thead>
						<tbody>
						<?php $counter = 0; ?>
						<?php foreach($q as $key => $row) : ?>
							<?php if (intval($counter)/2 == intval($counter/2)) : ?>
							<tr class="alternate">
							<?php else : ?>
							<tr>
							<?php endif; ?>
								<td><?php echo $row->ID; ?></td>
								<td>
									<?php 
									$user_info = get_userdata($row->ID);
									if ($user_info === false){
										_e('Deleted User', 'uc');
									} else {
										echo $user_info->display_name;
									}
									?>
								</td>
								<?php if($row->credits < 0) : ?>
									<td class="redtxn">
								<?php else : ?>
									<td>
								<?php endif; ?>
										<?php echo $row->credits; ?>
									</td>
								<td><?php echo $row->transaction_id; ?></td>
								<td><?php echo $row->fld_ref; ?></td>
								<td><?php echo $row->credit_time; ?></td>
								<?php $counter++; ?>
							</tr>
						<?php endforeach; ?>
					</table>
					<?php 
					$page_links = paginate_links(array(
													'base' => add_query_arg('pagenum', '%#%'),
													'format' => '',
													'prev_text' => __('&laquo;', 'uc'),
													'next_text' => __('&raquo;', 'uc'),
													'total' => $num_of_pages,
													'current' => $pagenum
												));
					?>
					<?php if ($page_links) : ?>
						<div class="tablenav">
							<div class="tablenav-pages" style="float: left; margin: 1em 0;">
								<?php echo $page_links; ?>
							</div>
						</div>
					<?php endif; ?>
				<?php else : ?>
					<strong>
						<?php _e('No transactions to display.', 'uc'); ?>
					</strong>
				<?php endif; ?>
				<br />
				<br />
			</div>